Bug 485696 - Messages are not acknowledged
Messages are not acknowledged
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
high Severity medium
: 1.1.1
: ---
Assigned To: Rafael H. Schloming
Frantisek Reznicek
IG Index
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 08:40 EST by Arnaud Simon
Modified: 2015-11-15 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-06 04:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2009-02-16 08:40:25 EST
Description of problem:
When maxprefetch is greater than 0 then messages are not immediately acknowledged.  

see: https://issues.apache.org/jira/browse/QPID-1665
Comment 1 Gordon Sim 2009-02-17 07:01:44 EST
Rafi, I believe the issue was resolved in qpid svn. Can you review the change and mark this modified when satisfied? Also is this something we need to consider respinning the 1.1.1 java package for?
Comment 4 Frantisek Reznicek 2011-09-06 04:34:55 EDT
Message acknowledgement works as expected, tested on RHEL 5.7 / 6.1 i[36]86 / x86_64 on packages:
python-qpid-0.10-1.el5.noarch
python-qpid-qmf-0.10-10.el5.i386
qpid-cpp-client-0.10-8.el5.i386
qpid-cpp-client-devel-0.10-8.el5.i386
qpid-cpp-client-devel-docs-0.10-8.el5.i386
qpid-cpp-client-ssl-0.10-8.el5.i386
qpid-cpp-server-0.10-8.el5.i386
qpid-cpp-server-cluster-0.10-8.el5.i386
qpid-cpp-server-devel-0.10-8.el5.i386
qpid-cpp-server-ssl-0.10-8.el5.i386
qpid-cpp-server-store-0.10-8.el5.i386
qpid-cpp-server-xml-0.10-8.el5.i386
qpid-java-client-0.10-6.el5.noarch
qpid-java-common-0.10-6.el5.noarch
qpid-java-example-0.10-6.el5.noarch
qpid-qmf-0.10-10.el5.i386
qpid-qmf-devel-0.10-10.el5.i386
qpid-tools-0.10-6.el5.noarch
rh-qpid-cpp-tests-0.10-8.el5.i386


-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.